<?php

namespace Teknisa\ACL\Repositories;

use Doctrine\DBAL\Connection;
use Teknisa\ACL\Util\InstanceProvider;

class ZhuAccessControlRule {

    /** @var Connection */
    protected $connection;

    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }

    public function deleteAssociatedRules (Array $params, Array $typeBindParams) {
        $nrorg = InstanceProvider::getEnvironment()->getCurrentOrganizationId();
        $sqlDeleteRules = "DELETE FROM ZHU_ACCESS_CONTROL_RULE WHERE GROUP_ID IN (:NRPERFILACESSO) AND NRORG = " . $nrorg;
        return $this->connection->executeQuery($sqlDeleteRules, $params, $typeBindParams);
    }

}